Несколько уязвимостей в phpRPG

Дата публикации:
17.12.2007
Всего просмотров:
1006
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-6484
CVE-2007-6469
CVE-2007-6470
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpRPG 0.x
Уязвимые версии: phpRPG 0.8.0, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "username" и "password" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должны быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной защиты сессионных файлов в каталоге "tmp/". Злоумышленник может просмотреть список файлов в директории "tmp/", в названии которых содержится ID сессии пользователя. Злоумышленник может передать в ID сессии в "PHPSESSID" файле куки и внедриться в сессию пользователя. Для успешной эксплуатации уязвимости требуется, чтобы сервер позволял просмотр списка файлов в директории.

URL производителя: phprpg.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA